Bug 1299474 - New SELinux policy for fwupd daemon.
New SELinux policy for fwupd daemon.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
24
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Lukas Vrabec
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-18 07:52 EST by Lukas Vrabec
Modified: 2016-03-23 12:57 EDT (History)
5 users (show)

See Also:
Fixed In Version: selinux-policy-3.13.1-167.fc24 selinux-policy-3.13.1-179.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-23 12:57:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lukas Vrabec 2016-01-18 07:52:42 EST
Description of problem:
We need SELinux policy for fwupd.
fwupd is a daemon to allow session software to update device firmware.

Actual results:
$ ps -efZ | grep fwupd
system_u:system_r:unconfined_service_t:s0-s0:c0.c1023 root 28783 28782  3 13:50 ?   00:00:00 /usr/libexec/fwupd/fwupd
staff_u:staff_r:staff_t:s0-s0:c0.c1023 lvrabec 28810 2746  0 13:50 pts/0 00:00:00 grep --color=auto fwupd

Expected results:
$ ps -efZ | grep fw
system_u:system_r:fwupd_t:s0-s0:c0.c1023 root 28783 28782  3 13:50 ?   00:00:00 /usr/libexec/fwupd/fwupd
staff_u:staff_r:staff_t:s0-s0:c0.c1023 lvrabec 28810 2746  0 13:50 pts/0 00:00:00 grep --color=auto fw
Comment 1 Lukas Vrabec 2016-01-18 10:29:46 EST
commit 5c8ed18fedc236442c0c93e67315574fab05d216
Author: Lukas Vrabec <lvrabec@redhat.com>
Date:   Mon Jan 18 13:49:29 2016 +0100

    Add fwupd policy for daemon to allow session software to update device firmware
Comment 2 Jan Kurik 2016-02-24 10:54:51 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 3 Fedora Update System 2016-03-11 04:56:33 EST
selinux-policy-3.13.1-178.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-1350c96015
Comment 4 Fedora Update System 2016-03-11 14:26:13 EST
selinux-policy-3.13.1-178.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-1350c96015
Comment 5 Fedora Update System 2016-03-16 09:42:51 EDT
selinux-policy-3.13.1-179.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-8f142bb969
Comment 6 Fedora Update System 2016-03-18 10:59:03 EDT
selinux-policy-3.13.1-179.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-8f142bb969
Comment 7 Fedora Update System 2016-03-23 12:55:09 EDT
selinux-policy-3.13.1-179.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.